#
#		Copyright (C) 2005  Jan Grant <Jan.Grant@bristol.ac.uk>
#
#		Redistribution and use in source and binary forms, with or without
#		modification, are permitted provided that the following conditions
#		are met:
#
#		1. Redistributions of source code must retain the above copyright
#		   notice, this list of conditions and the following disclaimer.
#		2. Redistributions in binary form must reproduce the above copyright
#		   notice, this list of conditions and the following disclaimer in the
#		   documentation and/or other materials provided with the distribution.
#
#		THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#		IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#		OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#		IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#		INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#		NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#		DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#		THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#		(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#		THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#	That's fine; I think the code is probably too trivial to warrant it but 
#	fwiw you can relicense* it appropriately as per the rest of portmanager.
#
#	jan
#
#
# if ..  end added by patch provided by:
# Daniel Bye <dan@slightlystrange.org>
# fixes not reading pkgtools.conf args when in array format
#
#!/usr/local/bin/ruby

require "pkgtools"

puts "CATEGORY/PORT|OPTION=|          # do not delete this line!"

load_config

# held packages

puts ""
puts "# Ignored packages from HOLD_PKGS"
puts ""

config_value(:HOLD_PKGS).each do |pkg|
	if pkg.empty?
		pkg = " "
	end  
	puts pkg + "|" + "#{pkg}" + "|"
end


# beforebuild becomes stop

puts ""
puts "# STOP entries come from BEFOREBUILD"
puts ""

config_value(:BEFOREBUILD).each do |pkg|
	if pkg[1].instance_of?(Array)
		pkg[1] = pkg[1].join(" ")
	end
	puts "STOP|/" + pkg[0] + " " + "#{pkg[1]}" + "|"
end

# afterinstall becomes start

puts ""
puts "# START entries come from AFTERINSTALL"
puts ""

config_value(:AFTERINSTALL).each do |pkg|
	if pkg[1].instance_of?(Array)
		pkg[1] = pkg[1].join(" ")
	end
	puts "START|/" + pkg[0] + " " + "#{pkg[1]}" + "|"
end

# package options.

puts ""
puts "# Package options from MAKE_ARGS"
puts "# Note: pkgtools.conf will use the UNION of all matching lines"
puts ""

config_value(:MAKE_ARGS).each do |pkg|
	if pkg[1].instance_of?(Array)
		pkg[1] = pkg[1].join(" ")
	end
	if pkg[1].empty?
		pkg[1] = " "
	end  
	puts pkg[0] + "|" + "#{pkg[1]}" + "|"
end
